## org.apache.batik.apps.svgbrowser
Class ThumbnailDialog.AreaOfInterestListener

    java.lang.Object
      java.awt.event.MouseAdapter
          javax.swing.event.MouseInputAdapter
              org.apache.batik.apps.svgbrowser.ThumbnailDialog.AreaOfInterestListener

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener, javax.swing.event.MouseInputListener

Enclosing class:
  ThumbnailDialog

    protected class ThumbnailDialog.AreaOfInterestListener

extends javax.swing.event.MouseInputAdapter

Used to perform a translation using the area of interest.

Field Summary
`protected boolean` `in`
`protected int` `sx`
`protected int` `sy`

Constructor Summary
`protected` `ThumbnailDialog.AreaOfInterestListener()`

Method Summary
`void` `mouseDragged(java.awt.event.MouseEvent evt)`
`void` `mousePressed(java.awt.event.MouseEvent evt)`
`void` `mouseReleased(java.awt.event.MouseEvent evt)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from interface java.awt.event.MouseMotionListener
`mouseMoved`

Field Detail

### sx

    protected int sx

### sy

    protected int sy

### in

    protected boolean in

Constructor Detail

### ThumbnailDialog.AreaOfInterestListener

    protected ThumbnailDialog.AreaOfInterestListener()

Method Detail

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent evt)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `java.awt.event.MouseAdapter`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent evt)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseDragged` in class `java.awt.event.MouseAdapter`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent evt)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseReleased` in class `java.awt.event.MouseAdapter`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.